com.amazonaws.codegen.emitters

## Class GeneratorPathProvider

- java.lang.Object
- - com.amazonaws.codegen.emitters.GeneratorPathProvider

    public class GeneratorPathProvider
    extends Object

Common paths used by generator tasks.

### Constructor Summary

Constructors
Constructor and Description
`GeneratorPathProvider(IntermediateModel model, String outputDirectory, String sourceDirectory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getBasePackageDirectory()`
`String` `getModelDirectory()`
`String` `getOutputDirectory()`
`String` `getPolicyEnumDirectory()`
`String` `getSmokeTestDirectory()`
`String` `getTransformDirectory()`
`String` `getWaitersDirectory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GeneratorPathProvider

    public GeneratorPathProvider(IntermediateModel model,
                                 String outputDirectory,
                                 String sourceDirectory)

### Method Detail

#### getModelDirectory

    public String getModelDirectory()

#### getTransformDirectory

    public String getTransformDirectory()

#### getBasePackageDirectory

    public String getBasePackageDirectory()

#### getOutputDirectory

    public String getOutputDirectory()

#### getSmokeTestDirectory

    public String getSmokeTestDirectory()

#### getWaitersDirectory

    public String getWaitersDirectory()

#### getPolicyEnumDirectory

    public String getPolicyEnumDirectory()